package org.open.auth;

import java.util.HashMap;
import java.util.Map;

import org.open.util.HttpUtil;
import org.open.util.SignUtil;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

public class BusiPushDemo {
    
    public static void main(String[] args) throws Exception {
        //晋来办开放平台_生产环境地址：http://bmfw.jcgov.gov.cn:18083
        //晋来办开放平台_测试环境地址：http://bmfwtest.jcgov.gov.cn:18083
        String domainOrIpAddress = "http://bmfw.jcgov.gov.cn:18083/openplatform/open/";
        //String domainOrIpAddress = "http://bmfwtest.jcgov.gov.cn:18083/openplatform/open/";
        
        /**
         * 注：样例代码中涉及令牌、分配CODE及密钥都经过处理，请按照项目实际信息进行替换
         */        
        //晋城在线分配CODE和秘钥，申报应用审核通过后获得
        String appCode = "0258b5e5d3*******";
        String appSecret = "f82da79ca*******";
        
        String moduleCode = "1ac3505933*********************";
        
        String timestamp = SignUtil.getTimeStamp();
        String nonce = SignUtil.getNonce();
        
        Map<String, Object> param = new HashMap<String, Object>();
        param.put("appcode", appCode);
        param.put("modulecode", moduleCode);
        param.put("timestamp", timestamp);
        param.put("nonce", nonce);
        
        String sign = SignUtil.createSign(appSecret, param); //生成数字签名
        param.put("sign", sign);
        
        JSONArray array = new JSONArray();
        JSONObject obj_1 = new JSONObject();
        obj_1.put("id", "2001"); // 序号
        obj_1.put("user_id", "8a8180ac6d6c68e1016d706ad7bc0001"); // 晋来办用户Id
        obj_1.put("user_phone", "137*****381"); // 手机号
        obj_1.put("user_name", "张三1"); // 姓名
        obj_1.put("busi_item", "无房证明查询1"); // 事项
        obj_1.put("busi_detail", "张三成功办理无房证明1"); // 说明
        obj_1.put("create_date", "2021-03-17 18:57:01"); // 业务时间
        array.add(obj_1);
        
        JSONObject obj_2 = new JSONObject();
        obj_2.put("id", "2002");
        obj_2.put("user_id", "8a8180ac6d6c68e1016d706ad7bc0002");
        obj_2.put("user_phone", "137*****382");
        obj_2.put("user_name", "张三2");
        obj_2.put("busi_item", "无房证明查询2");
        obj_2.put("busi_detail", "张三成功办理无房证明2");
        obj_2.put("create_date", "2021-03-17 18:57:02");
        array.add(obj_2);
        
        param.put("data", array.toJSONString());
        String url = domainOrIpAddress+ "busipush.action?generate";
        String result = HttpUtil.sendPost(url, param);

        System.out.println("返回信息："+result);

    }
}
